<?php
/** * @property CI_Loader $load
 * @property CI_Form_validation $form_validation
 * @property CI_Input $input
 * @property CI_Email $email
 * @property CI_DB_active_record $db
 * @property CI_DB_forge $dbforge
 */
 
class Category extends Controller {

    function __construct() {
        parent::Controller();
        $this->load->model('category_model');
        $this->load->library('form_validation');
		$this->load->library('table');
    }

    function index() {
        $data['category'] = $this->category_model->selectAllJoin();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('category_view_index', $data);
		$this->load->view('view_footer','');
    }

    function add() {
        //$data['universitas'] = $this->_get_universitas_combo();
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('category_view_add');
		$this->load->view('view_footer','');
    }

    function _add_process() {
        $data = new stdClass();
		$data->name = $this->input->post('name');
$data->type_id = $this->input->post('type_id');

        $id = $this->category_model->insert($data);
        if ($id > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function _edit_process() {
        $data = array();
		$id = $this->input->post('id');
$data['name'] = $this->input->post('name');
$data['type_id'] = $this->input->post('type_id');

        $q = $this->category_model->update($data, $id);

        if ($q > 0) {
            echo "sukses";
        } else {
            echo 'ada error di database';
        }
    }

    function delete() {
        $id = $this->uri->segment(3);
        $q = $this->category_model->delete($id);

        if ($q) {
            redirect("category/index");
        } else {
            echo "deleting fail";
            redirect("category/index");
        }
    }

    function detail() {
        $id = $this->uri->segment(3);
        $q = $this->category_model->getJoinByID($id);
		$data['category'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('category_view_detail', $data);
		$this->load->view('view_footer','');
    }

    function edit() {
        $id = $this->uri->segment(3);
        $q = $this->category_model->getByID($id);
        $data['category'] = $q[0];
		$this->load->view('view_header','');
		$this->load->view('view_menu','');
        $this->load->view('category_view_edit', $data);
		$this->load->view('view_footer','');
    }



    function add_process_validate() {
		
		$this->form_validation->set_rules('name','name','required|max_length[45]');
$this->form_validation->set_rules('type_id','type_id','required');

		 if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_add_process();
        }
    }

    function edit_process_validate() {
        $this->form_validation->set_rules('name','name','required|max_length[45]');
$this->form_validation->set_rules('type_id','type_id','required');

        if ($this->form_validation->run() == FALSE) {
            echo strip_tags(validation_errors());
        } else {
            $this->_edit_process();
        }
    }
	
	function type_dropdown() {									
		if (isset($_POST['data'])) {								            
			$id = $_POST['data'];										            
			$this->load->model('type_model');			            
			$q = $this->type_model->getDropDownData();	            
			echo '<option value="0">- type -</option>';	            
			foreach ($q as $row) {									            
				$val = $row['id'];									            
				$label = $row['label'];		
				if ($val == $id) {
					echo '<option value="' . $val . '" selected="selected">' . $label . ' </option>';	
				} else {
					echo '<option value="' . $val . '">' . $label . ' </option>';	
				}
				 
			}																	
		} else {
			show_404('page');
		}
	}


	
}
?>